package checksumtest

import (
	"crypto/rand"
	"crypto/sha256"

	"git.frostfs.info/TrueCloudLab/frostfs-sdk-go/checksum"
)

// Checksum returns random checksum.Checksum.
func Checksum() checksum.Checksum {
	var cs [sha256.Size]byte

	_, _ = rand.Read(cs[:])

	var x checksum.Checksum

	x.SetSHA256(cs)

	return x
}
